summaryrefslogtreecommitdiffstats
path: root/testing/hiawatha/hiawatha.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/hiawatha/hiawatha.initd')
-rw-r--r--testing/hiawatha/hiawatha.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/testing/hiawatha/hiawatha.initd b/testing/hiawatha/hiawatha.initd
new file mode 100644
index 000000000..9c04296a3
--- /dev/null
+++ b/testing/hiawatha/hiawatha.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec "/usr/sbin/hiawatha" \
+ --pidfile "/var/run/hiawatha.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec "/usr/sbin/hiawatha" \
+ --pidfile "/var/run/hiawatha.pid"
+ eend $?
+}